#! /bin/bash

export dataset_id=2c146972-9b3a-4907-826a-bdb74cc23a2a
export tiff_url="https://object.cscs.ch/v1/AUTH_6ebec77683fb472f94d352be92b5a577/Bjaalie_RUP_T5.5.1/"
export filter="hbp-00138/122/341/381/hbp-00138_122_341_381_s013.tif"

ingestion_param='{
  "type": "image",
  "num_channels": 3,
  "scales":[{
    "chunk_sizes": [],
    "encoding": "raw",
    "data_type": "uint32",
    "key": "full",
    "resolution": [
      230000,
      230000,
      230000
    ],
    "size": [
      37000,
      1,
      27000
    ],
    "voxel_offset": [
      0,
      0,
      0
    ]
  }]
}'

payload=`echo "$ingestion_param" | jq -c '.'`

cd ./is-nose/ && \
  node create_task.js \
  --desc "attempt to convert tiff to ng precomp" \
  --url $tiff_url \
  --filter $filter \
  --runtime-limit "5h" \
  --ingestion-parameters $payload \
  $dataset_id > create_task_2.log 2>&1 && \
cd ..